# option.h File Reference

Go to the source code of this file.

## Data Structures

struct | _OptionInfo

## Typedefs

typedef struct _OptionInfo | OptionInfo

## Enumerations

enum

MagickOption {
MagickUndefinedOptions = -1, MagickAlignOptions = 0, MagickAlphaOptions, MagickBooleanOptions,
MagickChannelOptions, MagickClassOptions, MagickClipPathOptions, MagickColorspaceOptions,
MagickCommandOptions, MagickComposeOptions, MagickCompressOptions, MagickDataTypeOptions,
MagickDebugOptions, MagickDecorateOptions, MagickDisposeOptions, MagickDistortOptions,
MagickEndianOptions, MagickEvaluateOptions, MagickFillRuleOptions, MagickFilterOptions,
MagickFontsOptions, MagickGravityOptions, MagickIntentOptions, MagickInterlaceOptions,
MagickInterpolateOptions, MagickLayerOptions, MagickLineCapOptions, MagickLineJoinOptions,
MagickListOptions, MagickLogEventOptions, MagickMetricOptions, MagickMethodOptions,
MagickModeOptions, MagickMogrifyOptions, MagickNoiseOptions, MagickOrientationOptions,
MagickPreviewOptions, MagickPrimitiveOptions, MagickQuantumFormatOptions, MagickResolutionOptions,
MagickResourceOptions, MagickStorageOptions, MagickStretchOptions, MagickStyleOptions,
MagickTypeOptions, MagickVirtualPixelOptions, MagickCoderOptions, MagickColorOptions,
MagickConfigureOptions, MagickDelegateOptions, MagickFontOptions, MagickFormatOptions,
MagickMimeOptions, MagickLocaleOptions, MagickLogOptions, MagickMagicOptions,
MagickModuleOptions, MagickThresholdOptions
}

## Functions

MagickExport char ** | GetMagickOptions (const MagickOption)
MagickExport char *** | GetNextImageOption (const ImageInfo *)
MagickExport char **** | RemoveImageOption (ImageInfo *, const char *)
MagickExport const char * | GetImageOption (const ImageInfo *, const char *)
MagickExport const char ** | MagickOptionToMnemonic (const MagickOption, const long)
MagickExport long | ParseChannelOption (const char *)
MagickExport long | ParseMagickOption (const MagickOption, const MagickBooleanType, const char *)
MagickExport MagickBooleanType | CloneImageOptions (ImageInfo *, const ImageInfo *)
MagickExport MagickBooleanType | DefineImageOption (ImageInfo *, const char *)
MagickExport MagickBooleanType | DeleteImageOption (ImageInfo *, const char *)
MagickExport MagickBooleanType | IsMagickOption (const char *)
MagickExport MagickBooleanType | ListMagickOptions (FILE *, const MagickOption, ExceptionInfo *)
MagickExport MagickBooleanType | SetImageOption (ImageInfo *, const char *, const char *)
MagickExport MagickBooleanType | SyncImageOptions (const ImageInfo *, Image *)
MagickExport void | DestroyImageOptions (ImageInfo *)
MagickExport void | ResetImageOptionIterator (const ImageInfo *)

## Typedef Documentation

typedef struct _OptionInfo OptionInfo

## Enumeration Type Documentation

enum MagickOption

Enumerator:

  MagickUndefinedOptions |
  MagickAlignOptions |
  MagickAlphaOptions |
  MagickBooleanOptions |
  MagickChannelOptions |
  MagickClassOptions |
  MagickClipPathOptions |
  MagickColorspaceOptions |
  MagickCommandOptions |
  MagickComposeOptions |
  MagickCompressOptions |
  MagickDataTypeOptions |
  MagickDebugOptions |
  MagickDecorateOptions |
  MagickDisposeOptions |
  MagickDistortOptions |
  MagickEndianOptions |
  MagickEvaluateOptions |
  MagickFillRuleOptions |
  MagickFilterOptions |
  MagickFontsOptions |
  MagickGravityOptions |
  MagickIntentOptions |
  MagickInterlaceOptions |
  MagickInterpolateOptions |
  MagickLayerOptions |
  MagickLineCapOptions |
  MagickLineJoinOptions |
  MagickListOptions |
  MagickLogEventOptions |
  MagickMetricOptions |
  MagickMethodOptions |
  MagickModeOptions |
  MagickMogrifyOptions |
  MagickNoiseOptions |
  MagickOrientationOptions |
  MagickPreviewOptions |
  MagickPrimitiveOptions |
  MagickQuantumFormatOptions |
  MagickResolutionOptions |
  MagickResourceOptions |
  MagickStorageOptions |
  MagickStretchOptions |
  MagickStyleOptions |
  MagickTypeOptions |
  MagickVirtualPixelOptions |
  MagickCoderOptions |
  MagickColorOptions |
  MagickConfigureOptions |
  MagickDelegateOptions |
  MagickFontOptions |
  MagickFormatOptions |
  MagickMimeOptions |
  MagickLocaleOptions |
  MagickLogOptions |
  MagickMagicOptions |
  MagickModuleOptions |
  MagickThresholdOptions |

## Function Documentation

MagickExport MagickBooleanType CloneImageOptions | ( | ImageInfo * | ,
|  | const ImageInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType DefineImageOption | ( | ImageInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType DeleteImageOption | ( | ImageInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void DestroyImageOptions | ( | ImageInfo * |  | ) |

MagickExport const char* GetImageOption | ( | const ImageInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport char** GetMagickOptions | ( | const | MagickOption | ) |

MagickExport char** * GetNextImageOption | ( | const ImageInfo * |  | ) |

MagickExport MagickBooleanType IsMagickOption | ( | const char * |  | ) |

MagickExport MagickBooleanType ListMagickOptions | ( | FILE * | ,
|  | const | MagickOption,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const char* * MagickOptionToMnemonic | ( | const | MagickOption,
|  | const | long |
| ) |  |  |

MagickExport long ParseChannelOption | ( | const char * |  | ) |

MagickExport long ParseMagickOption | ( | const | MagickOption,
|  | const | MagickBooleanType,
|  | const char * |  |
| ) |  |  |

MagickExport char** * * RemoveImageOption | ( | ImageInfo * | ,
|  | const char * |  |
| ) |  |  |

MagickExport void ResetImageOptionIterator | ( | const ImageInfo * |  | ) |

MagickExport MagickBooleanType SetImageOption | ( | ImageInfo * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType SyncImageOptions | ( | const ImageInfo * | ,
|  | Image * |  |
| ) |  |  |